#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_create_with_mnt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_driver_fbdev_probe, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x58b314ff, "_gpl");
SYMBOL_CRC(drm_gem_shmem_create_with_mnt, 0x6bf72508, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xfadd7d2b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xe7af50d9, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0xbc95cb63, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x1742ccdf, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x3f50424c, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x208f56a4, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x6f4b14d6, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x23e2e73f, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xe3bdadbf, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x785f2ef9, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x20904e86, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x45a86bb4, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x570c6c89, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xafc6faa4, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x1af464b1, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xacc57985, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x95223126, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_driver_fbdev_probe, 0x0273ebf6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x349e6fae, "try_module_get" },
	{ 0x8ec7001c, "drm_fb_helper_debug_enter" },
	{ 0x12709468, "ww_mutex_lock_interruptible" },
	{ 0xe03412b5, "vmf_insert_pfn" },
	{ 0xe43e87c6, "drm_gem_get_pages" },
	{ 0xf7343dac, "dma_buf_vmap" },
	{ 0x30e867f6, "drm_client_buffer_vmap" },
	{ 0x32261559, "drm_fb_helper_setcmap" },
	{ 0x147a7f33, "drm_fb_helper_alloc_info" },
	{ 0x949f7456, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x9b80f82, "drm_fb_helper_fini" },
	{ 0xe879558d, "drm_client_framebuffer_delete" },
	{ 0xcf7376a9, "drm_client_framebuffer_create" },
	{ 0x9f1e8cf1, "invalidate_mapping_pages" },
	{ 0x3de94aea, "ww_mutex_unlock" },
	{ 0xa274da3c, "drm_fb_helper_deferred_io" },
	{ 0xf62a741e, "drm_fb_helper_release_info" },
	{ 0x39ee4bec, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x9312fd04, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ea3ce1b, "drm_driver_legacy_fb_format" },
	{ 0x4c165bc, "drm_fb_helper_fill_info" },
	{ 0x8a32e316, "drm_gem_create_mmap_offset" },
	{ 0xd2e5a0a3, "fb_deferred_io_init" },
	{ 0x12d79ff8, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9bb2b769, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95d11d0c, "fb_sys_write" },
	{ 0x43145a3d, "sys_imageblit" },
	{ 0x75e1560d, "drm_fb_helper_damage_range" },
	{ 0xd03c66d1, "drm_fb_helper_blank" },
	{ 0x3daf22fb, "drm_gem_private_object_init" },
	{ 0x6fce0014, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf1fc028, "drm_fb_helper_damage_area" },
	{ 0x13dd5ca6, "sys_fillrect" },
	{ 0xcc40809f, "set_pages_array_wb" },
	{ 0xce524892, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x78fe9d07, "drm_gem_vm_close" },
	{ 0xa99c4a55, "drm_gem_vm_open" },
	{ 0x305201c9, "down_write" },
	{ 0x4a72c051, "up_write" },
	{ 0x51ddfa23, "drm_gem_object_release" },
	{ 0x3c3e450, "ww_mutex_lock" },
	{ 0x2f6d508a, "vmap" },
	{ 0xdf467389, "drm_gem_handle_create" },
	{ 0x28253e9e, "drm_gem_fb_get_obj" },
	{ 0x626b16b2, "__drm_dev_dbg" },
	{ 0x5ad9e6a0, "drm_prime_pages_to_sg" },
	{ 0x28d0a91e, "fb_deferred_io_mmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc233397c, "drm_fb_helper_pan_display" },
	{ 0xa1a626dc, "dma_buf_vunmap" },
	{ 0xcf60b075, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb6ad631f, "sys_copyarea" },
	{ 0xb38b0ea3, "shmem_truncate_range" },
	{ 0x3483811f, "set_pages_array_wc" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x37a07b33, "dma_map_sgtable" },
	{ 0xc71804c, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7085af88, "drm_client_buffer_vunmap" },
	{ 0x8d65bb45, "fb_sys_read" },
	{ 0x6de26f71, "drm_fb_helper_debug_leave" },
	{ 0x5fb23041, "drm_gem_object_init_with_mnt" },
	{ 0x54088c4c, "dma_unmap_sg_attrs" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0xb1cd460f, "drm_gem_put_pages" },
	{ 0xc40144cd, "drm_gem_private_object_fini" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x97ed1b06, "drm_fb_helper_ioctl" },
	{ 0x720aaf93, "drm_fb_helper_set_par" },
	{ 0xcd8f724c, "drm_prime_gem_destroy" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "366122E1365C500195CDECB");
MODULE_INFO(rhelversion, "9.7");
