#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev_rcu, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0xada998d5, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0xf82d91fd, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0xeb4f67c5, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0xbef43289, "");
SYMBOL_CRC(mana_gd_register_device, 0xeb21566e, "");
SYMBOL_CRC(mana_gd_deregister_device, 0x0668f6c8, "");
SYMBOL_CRC(mana_uncfg_vport, 0x2c067719, "");
SYMBOL_CRC(mana_cfg_vport, 0xf2334f62, "");
SYMBOL_CRC(mana_create_wq_obj, 0x4da6b4e8, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0xf8970755, "");
SYMBOL_CRC(mana_get_primary_netdev_rcu, 0x9a457c06, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a59e4f5, "__tracepoint_xdp_exception" },
	{ 0xfd989af, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc4756e1f, "bpf_prog_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdd526508, "pci_enable_device" },
	{ 0x4f55dac4, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc9bfcd95, "auxiliary_device_init" },
	{ 0xcd66b9ff, "pci_iomap" },
	{ 0x7cf647f7, "pci_alloc_irq_vectors" },
	{ 0xbcfaca61, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6637a8e7, "bpf_warn_invalid_xdp_action" },
	{ 0xf7ec6a05, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xb3ebdbec, "debugfs_create_u16" },
	{ 0xb3f8d47f, "dma_unmap_page_attrs" },
	{ 0xde8b4679, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd63526a7, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xef73b06a, "page_pool_destroy" },
	{ 0x245a956f, "xdp_do_redirect" },
	{ 0xdd4a3656, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xecc58b16, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd9c3949b, "pci_irq_vector" },
	{ 0xe4d24d99, "__netif_napi_del" },
	{ 0xf683d07e, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2035dc83, "__dynamic_dev_dbg" },
	{ 0x7f0b6e78, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xcb868e01, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef0c664c, "pskb_expand_head" },
	{ 0x9bb2b769, "dev_driver_string" },
	{ 0xbd5e151d, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x78e4fc9d, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x919292f6, "dma_map_page_attrs" },
	{ 0xb1c19aff, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x2907a0b4, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x85ea9630, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9faf1661, "netif_device_detach" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xb934a8c5, "_dev_info" },
	{ 0x1d5fcf71, "napi_gro_receive" },
	{ 0xd5ff6620, "netif_device_attach" },
	{ 0x15adfe5f, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8e993f90, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf4aca57c, "_dev_err" },
	{ 0xeff75a04, "simple_open" },
	{ 0x64efb359, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd0f168a0, "netif_set_real_num_tx_queues" },
	{ 0x7ff04300, "__auxiliary_device_add" },
	{ 0x86209456, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xaf7db1dc, "netdev_printk" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x5fcc01eb, "dma_alloc_attrs" },
	{ 0x5d587a4c, "debugfs_remove" },
	{ 0x2bebe7ea, "pcie_flr" },
	{ 0x9f6e9017, "napi_enable" },
	{ 0x332681a8, "register_netdev" },
	{ 0x8c86081b, "ida_free" },
	{ 0x66d92804, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x122bab4f, "ethtool_op_get_link" },
	{ 0x4b67125b, "__SCK__tp_func_xdp_exception" },
	{ 0x5c39840d, "pci_iounmap" },
	{ 0x91e41cf4, "netif_tx_wake_queue" },
	{ 0x3eac352b, "device_del" },
	{ 0x55c1e571, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x55d48d51, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x750eaf4c, "__alloc_pages" },
	{ 0x279e9eef, "pci_set_master" },
	{ 0x716da3a0, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x80f23e4e, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x901d8aa1, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2d903558, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x3497f6e9, "pci_release_regions" },
	{ 0x342dc97a, "bpf_prog_add" },
	{ 0x1e80919e, "xdp_rxq_info_unreg" },
	{ 0x4e0314, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8a735fd4, "napi_build_skb" },
	{ 0xdde457e3, "netdev_master_upper_dev_get_rcu" },
	{ 0xcf381c95, "__folio_put" },
	{ 0xcddf3843, "__xdp_rxq_info_reg" },
	{ 0x7b65a21, "xdp_set_features_flag" },
	{ 0x56470118, "__warn_printk" },
	{ 0x47950a11, "netif_carrier_off" },
	{ 0x404ef8b3, "netif_carrier_on" },
	{ 0xb4d03014, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd093f2c1, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x8f4dfed9, "dma_set_mask" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x6146d2d7, "xdp_master_redirect" },
	{ 0xf2171202, "__napi_schedule_irqoff" },
	{ 0x588ef679, "napi_schedule_prep" },
	{ 0x8ec66787, "napi_consume_skb" },
	{ 0x11419f59, "napi_disable" },
	{ 0x7b14bcd8, "dev_kfree_skb_any_reason" },
	{ 0x229484cd, "netdev_stats_to_stats64" },
	{ 0x3a3f0c51, "debugfs_create_dir" },
	{ 0xe22ab6d8, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0xce253dd2, "netdev_info" },
	{ 0x1e090b67, "page_pool_put_unrefed_page" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7E83E50B9C2CE50BA11A98E");
MODULE_INFO(rhelversion, "9.7");
