#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x32a5c47d, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x1b1d5b8c, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xa78921d4, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x17b2cf5f, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x3a49f487, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x06943955, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x1a9a35c0, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x58ce3e75, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x6ffb07af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb868e01, "netdev_err" },
	{ 0x1ef9b4e4, "idr_remove" },
	{ 0x8ce4feb8, "__wake_up" },
	{ 0x868b958d, "_copy_to_iter" },
	{ 0xf7347d67, "iov_iter_advance" },
	{ 0xe0212024, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x84ab426, "idr_find" },
	{ 0xcbae74cb, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x559ff730, "__init_waitqueue_head" },
	{ 0xa29fb756, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x94f0258e, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xd676c28, "cdev_init" },
	{ 0x87d71700, "cdev_add" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0xf0b8e440, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x21688cb0, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc8852825, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x422fd4e3, "consume_skb" },
	{ 0xdb5ae9b4, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xeb74beeb, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5e68870, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf0e9a22, "skb_push" },
	{ 0x7c8471c7, "__skb_gso_segment" },
	{ 0x2907a0b4, "skb_checksum_help" },
	{ 0xf11b9c11, "kfree_skb_list_reason" },
	{ 0x8e993f90, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x7733a538, "__skb_flow_dissect" },
	{ 0x5a80533b, "skb_partial_csum_set" },
	{ 0x2f08e4e0, "__pskb_pull_tail" },
	{ 0x20f8d501, "iov_iter_npages" },
	{ 0x9d267e82, "_copy_from_iter" },
	{ 0xe0a8c5a5, "sock_alloc_send_pskb" },
	{ 0x4f55dac4, "skb_put" },
	{ 0xf277ee9e, "zerocopy_sg_from_iter" },
	{ 0x9ca0c634, "__dev_queue_xmit" },
	{ 0xdf151c02, "skb_copy_datagram_from_iter" },
	{ 0xfacf7082, "iov_iter_revert" },
	{ 0xa2ed2961, "skb_copy_bits" },
	{ 0x8a421e60, "build_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29847816, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xec2a2667, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.7");
