#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x44ace19e, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x7ab4e494, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x15833099, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x5ed6b177, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x3032a130, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xce0d5709, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x5dfcd941, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x105163e4, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x7cd8da70, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xa760e3ac, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x29238f73, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xddcbdace, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xa758d5df, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xb65850f5, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x715996ca, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x459fe160, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xb039eb5e, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xf689c47e, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x5044e039, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xcf699171, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x3e1092bf, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xfd055540, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xc339fd8f, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x56745f94, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xed14e534, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x2ad77713, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x1667715e, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xfe2a1eb1, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xc43d363f, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xe0d74698, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xa6b43008, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x522baa1c, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x5f77dfd2, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xc5ad4339, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x55c2fdf5, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x77bebe2e, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x6390a7bd, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x07092010, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x362eb844, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x4a3b93a4, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x2235cc6c, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xc38eaf2a, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xec01a9e7, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xdcf0b650, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xeb40ce08, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xe98c0950, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x5d588322, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xdca5f3cb, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x097dcd47, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xae6e95fc, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xf8398ac8, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x7f57ab15, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xdcbc0efa, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xda5423c8, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x82ba222f, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x1c1582a5, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x702b5f1f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x1aa2c180, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x92bd1a9c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e97b0ce, "set_capacity_and_notify" },
	{ 0x23d67c1e, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x42f20d5a, "set_disk_ro" },
	{ 0x15d85d14, "__blk_alloc_disk" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x349e6fae, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6a4a1478, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x9513de2c, "device_remove_file_self" },
	{ 0xf6b18c42, "param_ops_uint" },
	{ 0xaf9d4904, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2977752f, "dev_set_name" },
	{ 0xdc53266a, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x4d385ef9, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xff48d6e, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x23f47580, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa45f1e56, "blk_mq_tagset_wait_completed_request" },
	{ 0x13792eaa, "cdev_device_del" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xdb5ae9b4, "finish_wait" },
	{ 0xdcb5f1ec, "queue_limits_stack_bdev" },
	{ 0xf97b4142, "trace_event_printf" },
	{ 0x2f21409, "device_initialize" },
	{ 0x56e9d679, "blk_mq_unquiesce_queue" },
	{ 0x2e067623, "blk_mq_quiesce_queue" },
	{ 0x52c18954, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1f167487, "bpf_trace_run2" },
	{ 0xbd36e4fe, "prepare_to_wait_event" },
	{ 0x89227589, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x805392c4, "event_triggers_call" },
	{ 0x8ce4feb8, "__wake_up" },
	{ 0x24a76e94, "synchronize_srcu" },
	{ 0x360095f9, "param_ops_byte" },
	{ 0x39555575, "get_device" },
	{ 0xc124c51f, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x30c7630e, "__blk_mq_alloc_disk" },
	{ 0x2035dc83, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b7039bc, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9f5d0efb, "blk_mq_alloc_tag_set" },
	{ 0x8a70d30c, "blk_rq_is_poll" },
	{ 0xf1f55b11, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xc6773e0, "put_disk" },
	{ 0xfa1fa31a, "cdev_device_add" },
	{ 0x5ec89903, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf036d0b2, "blk_execute_rq" },
	{ 0x85ea9630, "put_device" },
	{ 0x52982aea, "trace_event_ignore_this_pid" },
	{ 0xda28a781, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x70b7b6fb, "kmalloc_node_trace" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x101b6285, "blk_mq_free_request" },
	{ 0xc72a777d, "__free_pages" },
	{ 0xb934a8c5, "_dev_info" },
	{ 0x3403abd5, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xce524892, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd037543f, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x24b55068, "sysfs_remove_link_from_group" },
	{ 0xf10407dc, "blk_rq_poll" },
	{ 0x4caac958, "blk_mq_quiesce_tagset" },
	{ 0x107e8897, "kobject_uevent_env" },
	{ 0x7231065e, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8e047102, "init_srcu_struct" },
	{ 0x40f6410, "perf_trace_run_bpf_submit" },
	{ 0xa5b65a4c, "__SCK__tp_func_block_bio_remap" },
	{ 0xf4aca57c, "_dev_err" },
	{ 0x740b2380, "blk_revalidate_disk_zones" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1dc3970d, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x39238151, "blk_rq_map_user_io" },
	{ 0x2d17da5b, "sysfs_remove_link" },
	{ 0x29e4ab7b, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xfb9c4940, "__srcu_read_lock" },
	{ 0xe466f4ce, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x121fb979, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x527168fd, "submit_bio_noacct" },
	{ 0x65f9b965, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xd91e749a, "blk_sync_queue" },
	{ 0xbefd98eb, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x7fa0389a, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xedeb4a8c, "trace_event_reg" },
	{ 0x5fc88aa0, "blk_mq_alloc_request_hctx" },
	{ 0xc8188fd9, "blk_mq_alloc_request" },
	{ 0x8c86081b, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x502c329f, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9af0e770, "blk_mq_free_tag_set" },
	{ 0x98b9d5b0, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf75722af, "cleanup_srcu_struct" },
	{ 0x2ad549dd, "blk_freeze_queue_start_non_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0x8f435f51, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xacf1111, "blk_put_queue" },
	{ 0xf7dc06c6, "bpf_trace_run1" },
	{ 0x3eac352b, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x55d48d51, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x750eaf4c, "__alloc_pages" },
	{ 0xc42fc346, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x559ff730, "__init_waitqueue_head" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x2ddbd0a5, "blk_rq_unmap_user" },
	{ 0x1224c60a, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb47ba23b, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x555ad77b, "xa_erase" },
	{ 0x433246cc, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc52c87c1, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb80c97e4, "trace_event_buffer_reserve" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82c36a62, "param_ops_bool" },
	{ 0x1e02e6da, "blk_mq_destroy_queue" },
	{ 0xfeb4cf84, "xa_destroy" },
	{ 0xcee30e1f, "blk_freeze_queue_start" },
	{ 0x177efaf9, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x18677d54, "xa_find" },
	{ 0xf22af89f, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x31dbb267, "__tracepoint_block_bio_complete" },
	{ 0x7d26457b, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe84c4ffd, "__srcu_read_unlock" },
	{ 0xe089f8eb, "sysfs_add_link_to_group" },
	{ 0x783cf51, "__tracepoint_block_bio_remap" },
	{ 0xcd4a431c, "blk_mq_tagset_busy_iter" },
	{ 0x8d2b37bf, "queue_limits_commit_update" },
	{ 0x274612d8, "xa_find_after" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x989dacda, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x53a4a4a7, "blk_mq_freeze_queue_nomemsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb0b613d0, "blk_mq_freeze_queue_wait" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5cb2ec3f, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xc9f53763, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd676c28, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa7f668e5, "bdev_end_io_acct" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xaa1ae7c7, "blk_steal_bios" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4718590B47608A315EC8D95");
MODULE_INFO(rhelversion, "9.7");
