#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x221c207f, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x958c2908, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x37604d62, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xa3cf8486, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xea0f7b83, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xcde3cd63, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x234498e4, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x36a8b619, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x9d9f3093, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x592dfc33, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xc19323d6, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xc268a444, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x4bbd9ac9, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x911deb78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x349e6fae, "try_module_get" },
	{ 0x17fc618e, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x85ea9630, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb934a8c5, "_dev_info" },
	{ 0xce524892, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8a9013bc, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x305201c9, "down_write" },
	{ 0xf4aca57c, "_dev_err" },
	{ 0x4a72c051, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xff4b978, "device_create" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xc3a70620, "seq_putc" },
	{ 0x502c329f, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5044e039, "__nvme_submit_sync_cmd" },
	{ 0x44ace19e, "nvme_try_sched_reset" },
	{ 0x55d48d51, "_dev_warn" },
	{ 0x7e9a4abd, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe4acf4b, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x9b65ef76, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x76d07a1c, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x9ba9e66f, "seq_puts" },
	{ 0x1b376c75, "single_release" },
	{ 0x29238f73, "nvme_wait_reset" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1a712e40, "single_open" },
	{ 0xeb772c2f, "up_read" },
	{ 0xc9f53763, "class_register" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "CB022BE61218846E070BDFD");
MODULE_INFO(rhelversion, "9.7");
