#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x37e441c2, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x321bee19, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xcf21d69e, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xa1437950, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x0557feab, "_gpl");
SYMBOL_CRC(vhost_has_work, 0xa54287bb, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xe5d91e45, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x93c4a686, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x9b02e493, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0xc8b681f2, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x0d9ee2a8, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xd9250254, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x113702fc, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x01006e9f, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xd2b99a66, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x2d0869f8, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x75d52ac7, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x7c3605fe, "");
SYMBOL_CRC(vhost_chr_poll, 0x808e24f3, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x0fa2d5b9, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x1635bbf0, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xaf7029ad, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xc6391f25, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x1319e351, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x756e389b, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xf4c2a9b1, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x313b6e10, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x4700e34e, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x1bd1a577, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x1469365f, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x11eae06f, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x63453b50, "_gpl");
SYMBOL_CRC(vhost_signal, 0xacea176f, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x39ba3de1, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x40743000, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x2e1a5add, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xe44e6da5, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x49daaf69, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x140ddd5d, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x14a19b26, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xcfb2368a, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x4ddfe0ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa3cf27ae, "add_wait_queue" },
	{ 0xc5326fc6, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xee5b91dc, "cgroup_attach_task_all" },
	{ 0x3e7d1b9, "mmput" },
	{ 0x31cc375d, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x8ce4feb8, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x2dd1be5d, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x2a466908, "unpin_user_pages_dirty_lock" },
	{ 0xeb813365, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x55cc23c3, "kthread_use_mm" },
	{ 0x3ec70e6e, "__tracepoint_sched_set_state_tp" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0x43d1e6f9, "kthread_unuse_mm" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x9db8b97d, "fput" },
	{ 0xb6210ef6, "kthread_stop" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x23a5a7d1, "iov_iter_init" },
	{ 0x9d267e82, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfacf7082, "iov_iter_revert" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x868b958d, "_copy_to_iter" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x559ff730, "__init_waitqueue_head" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xeb74beeb, "prepare_to_wait" },
	{ 0xdb5ae9b4, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x27e78fea, "get_task_mm" },
	{ 0x1d8a3410, "kthread_create_on_node" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xf7347d67, "iov_iter_advance" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2d893d90, "eventfd_fget" },
	{ 0xc46bf847, "param_ops_int" },
	{ 0xd28864e5, "param_ops_ushort" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.7");
