#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xcdf2645b, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x31b7e810, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x1841bc8c, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x0328270b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x3a522acc, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x5dc49b27, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x2ef41ae0, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xf8229f7d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x982ca55b, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x1d9bf214, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xba680aa3, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xe2770893, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x7f960ac5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xb55a906e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xc9e34079, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x29fd5682, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x1da8d96e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xa48b6de7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x6e3b1a5b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xb3338c57, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xb9e73a12, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x646030e1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xd6aa6ad2, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x857cc4e1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x2439d71e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xf77b0bd9, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xce82a3e3, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x598d4de5, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xb8ab01cb, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xf1f4725f, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x0e9c4958, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x33742e8b, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x032e8833, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xc4e2d28a, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x72f12042, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x7b18ff29, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc42d0f8d, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6d6024ae, "vsock_insert_connected" },
	{ 0x4f55dac4, "skb_put" },
	{ 0x422fd4e3, "consume_skb" },
	{ 0x23f47580, "trace_raw_output_prep" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x933f5647, "vsock_remove_sock" },
	{ 0xf97b4142, "trace_event_printf" },
	{ 0x2b427f67, "vsock_deliver_tap" },
	{ 0x52c18954, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa3cf27ae, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x805392c4, "event_triggers_call" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4450fe54, "sk_error_report" },
	{ 0xf1f55b11, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd69813ce, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x52982aea, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xa0008fb1, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f6410, "perf_trace_run_bpf_submit" },
	{ 0x29847816, "sk_skb_reason_drop" },
	{ 0x94f0258e, "sk_free" },
	{ 0xedeb4a8c, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb2f76896, "__skb_recv_datagram" },
	{ 0x44d60167, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9bfb5ba, "vsock_stream_has_data" },
	{ 0xe0212024, "skb_copy_datagram_iter" },
	{ 0x2cb39ee2, "bpf_trace_run9" },
	{ 0x6e3bb97f, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc26a65a6, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x18c3c912, "bpf_trace_run10" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xa56cf581, "vsock_core_get_transport" },
	{ 0xf1c1110f, "__zerocopy_sg_from_iter" },
	{ 0x2c2f49b9, "vsock_stream_has_space" },
	{ 0x342313ba, "skb_set_owner_w" },
	{ 0xb80c97e4, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9d267e82, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc5326fc6, "remove_wait_queue" },
	{ 0x94fa00f2, "msg_zerocopy_realloc" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x6ac48828, "vsock_create_connected" },
	{ 0x8d61178d, "vsock_assign_transport" },
	{ 0xfacf7082, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x20f8d501, "iov_iter_npages" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x5dafb5d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc77475fe, "vsock_data_ready" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "47E1979DFA663EF75B54B38");
MODULE_INFO(rhelversion, "9.7");
