#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_clear_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_poll_act_handled, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_connector_hdmi_audio_plugged_notify, "", "");
KSYMTAB_FUNC(drm_connector_hdmi_audio_init, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_mode_valid, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_hotplug, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_force, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xaf5dd4a0, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xd15d3018, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xceeb818b, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x6fc140e5, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x8e102fa5, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x441cf1de, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xfc9e2d29, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x694d6364, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x3b941ea2, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x375c7e3e, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x1740d0b7, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x40c2e53a, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x435cb698, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x38552a7b, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x89324ccc, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x9e5ade51, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xb638d1cf, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xaf45c4d7, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x58274d7b, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xb3c1f38e, "");
SYMBOL_CRC(drm_dp_dpcd_write_payload, 0x9e0e291d, "");
SYMBOL_CRC(drm_dp_dpcd_clear_payload, 0xbca09ad8, "");
SYMBOL_CRC(drm_dp_dpcd_poll_act_handled, 0xb9e430d9, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x64e87a22, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x17e66291, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xd5fbaf04, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x69db9f6a, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x1065f1c6, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xd6386a90, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0xc5ddcf56, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xca6790bd, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x9a1df4b4, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x26b5e5fe, "");
SYMBOL_CRC(drm_dp_aux_init, 0x2cd89e39, "");
SYMBOL_CRC(drm_dp_aux_register, 0x6bb0388a, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x51112fdc, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x86e746a3, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xf17b3e47, "");
SYMBOL_CRC(drm_dp_read_desc, 0x0bd18ab4, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0xbc1fdcd4, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xb1b7fc13, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x743932a9, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x0ec1b9b8, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xa415c054, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x501de16d, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x7aa650cb, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x5f129329, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x454b8efa, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xc9403161, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xbdf2efdf, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x6645759d, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x03333559, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xd961ee51, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x304c98fd, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xa14b73fc, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x288f18b0, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x4e3265dc, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x80996ca5, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0xc943ef8d, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x2b265f3e, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x249f3fc5, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x143c0593, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xf6730846, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xd027316b, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x1ec75eb0, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x5fff9b1a, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x814996aa, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0xa2cdd8d4, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0xccd8e579, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x258eff7a, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x88bc7f92, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x06441e45, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x0948d0a5, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x55720939, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x0af157a1, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x11aa9fe2, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xdcf3a379, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x085e6f53, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x85b5b1f9, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xb5c6e76c, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xa59ae7ea, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x84813894, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x03b9894a, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x24d3ad1f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xbd1cb05b, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xd4c87469, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xe49eb77f, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xfab243ce, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xee0652a6, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xde3b4c08, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xfe4ee89b, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xf3eecfb8, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x4417855d, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xfa9df201, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x6298c336, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x339f8fcc, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xd09e12f7, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x3d897573, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x4f000579, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x542d64c6, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x914bc6ca, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x89f14acd, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x1bb0e01c, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x1a25062f, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x56e192ad, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x646a4122, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x01f59257, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xfdd14b0e, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xbea22f3a, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xe10328e5, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x04b44e1d, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x25e41584, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0x367395af, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x9fb9bdc9, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x8b4a3206, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x0f771434, "");
SYMBOL_CRC(drm_connector_hdmi_audio_plugged_notify, 0x0d21f4f4, "");
SYMBOL_CRC(drm_connector_hdmi_audio_init, 0x3bc61cb7, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xa7d6615d, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x3aacfed5, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xa21bc951, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xef6dff75, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x91e5ef69, "");
SYMBOL_CRC(drm_scdc_write, 0x414f0be4, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x17a74101, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xa963ecea, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x2f765f31, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0x17853a55, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0x63e9c63d, "");
SYMBOL_CRC(drm_hdmi_connector_mode_valid, 0x38b033dc, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0x827a8de4, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0x2bee6579, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0x6a05c25b, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_hotplug, 0x441b55ca, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_force, 0x60d31010, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xf999fa63, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x5ebbae78, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x61754826, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x7ed234c4, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x3d8b7356, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xa4eda8f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x267ee8df, "drm_crtc_add_crc_entry" },
	{ 0x63f9b4aa, "cec_delete_adapter" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd524e2e, "cec_transmit_attempt_done_ts" },
	{ 0xf6b18c42, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa5b22570, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xdb5ae9b4, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x8056f931, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdb416d33, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x35e80d71, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4fc957fd, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbd36e4fe, "prepare_to_wait_event" },
	{ 0x4fe1b8c8, "drm_connector_unregister" },
	{ 0x8ce4feb8, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5818e003, "drm_mode_object_put" },
	{ 0x9bb2b769, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x145d4925, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd8f82ed7, "drm_edid_connector_update" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xc7451075, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xbcbe7c72, "drm_atomic_private_obj_fini" },
	{ 0xa916b694, "strnlen" },
	{ 0x66587c31, "drm_property_create_enum" },
	{ 0xe8ceede2, "drm_dev_printk" },
	{ 0x1b364b09, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4f9b00f8, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3385da98, "drm_crtc_wait_one_vblank" },
	{ 0xc5c6c279, "drm_modeset_lock" },
	{ 0x358c6e5d, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf4aca57c, "_dev_err" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0x68b06729, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd96fa302, "drm_edid_read" },
	{ 0xc3a70620, "seq_putc" },
	{ 0x7d5467f4, "drm_crtc_commit_wait" },
	{ 0x5d075f43, "drm_connector_dynamic_register" },
	{ 0x52748ccd, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2428cf8f, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x73df18b9, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xd305ceda, "drm_atomic_get_old_private_obj_state" },
	{ 0x626b16b2, "__drm_dev_dbg" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x55d48d51, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x559ff730, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe930976a, "mutex_trylock" },
	{ 0x49ac74b0, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb2334ea, "cec_allocate_adapter" },
	{ 0x675eb613, "drm_object_property_set_value" },
	{ 0x9b1494ac, "platform_device_register_full" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xa5f16bf7, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d07a1c, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x313fc4e5, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0xe61bae9c, "i2c_transfer" },
	{ 0xd2f3c1e7, "drm_display_mode_from_cea_vic" },
	{ 0x9ba9e66f, "seq_puts" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf19e4786, "cec_fill_conn_info_from_drm" },
	{ 0xdb4f7ba1, "drm_sysfs_connector_property_event" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x3ff2e537, "cec_received_msg_ts" },
	{ 0x22f8523, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xc46bf847, "param_ops_int" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x7820233a, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0xaa14c3c7, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0xe87c7a70, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3fc0853d, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper");


MODULE_INFO(srcversion, "19E6D8B8A61D65EF016A215");
MODULE_INFO(rhelversion, "9.7");
