#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x99be72d9, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xaa0695f7, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x05b66607, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x964948fa, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x5423456b, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xbf5b7be8, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x9233b020, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x7fc27832, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x8fa710db, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x69b431f2, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x9b50acd1, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xd56c4b59, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xaaa2427c, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x0b9cb599, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x14072ea8, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xa344e14d, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xc827b1ae, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xd174f7e9, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xe3c98b33, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x0a82fc76, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x6a02c208, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x1b57de6b, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xc6b445a4, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xb51b3e4b, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x8d799700, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x3f0d900e, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x44cbb68e, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x3186b022, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x5711527a, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x04ddc2d5, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xe71c128f, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x18077dd5, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x1edbf604, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xc7bc5433, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x3d756a5a, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xcc8118be, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xc9dd183a, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x1fb7d111, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xc32b8806, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x8614c787, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x8c6bc8bb, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x63b09d6b, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x364b4505, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xce156389, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x56c6982e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x829cf371, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x1a489dff, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x1b0dd824, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x7b4c7971, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x529822d1, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x2799cf48, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x24d9ad21, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x6ca4664c, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x6a76e4c6, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x3b169565, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xbc2ae0c7, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x8780bbc4, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x9dea48fe, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x0c3d7ae6, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x2301734d, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xba73ec21, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x8fd8780f, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x89edac5f, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xf67a17e2, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x1ba47139, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x88c6204c, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xc7451075, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xc0e09efb, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x6590ae95, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x4ac48ea5, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x283a5340, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x0301b1d3, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xd9aff5ed, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xb42f47af, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xd4e932e0, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x521795f5, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x43bab0e0, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x99f86dbb, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xb86ff75d, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x6037916d, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x7840e220, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xaa277324, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x7264fe13, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x40eb0468, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x853c6898, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x497abc1f, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x17fb62d4, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x6a5ff6bd, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x9ba51a9b, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x9d332162, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x361e75c7, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x5cdc1468, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x16dceb41, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x48ef34ca, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x7452293a, "");
SYMBOL_CRC(drm_flip_work_queue, 0x4bd70e1e, "");
SYMBOL_CRC(drm_flip_work_commit, 0x156f03d4, "");
SYMBOL_CRC(drm_flip_work_init, 0xfed3e11f, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x6b38ca28, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x432d3360, "");
SYMBOL_CRC(drm_fb_swab, 0xfb33cdf4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x30e476ac, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xa683cad9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xe91b5b73, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x372bfba6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xec3ebecb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x4d6a296e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x49742101, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xaae795a9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xa97beee9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xf3514c9a, "");
SYMBOL_CRC(drm_fb_blit, 0x1fc979aa, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x5f83191a, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xeb05a9d1, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x65e9ef84, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x1791a513, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x9ed60c45, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x9742ca3f, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x0cd8103e, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xce4b3d17, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xa70fd677, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xff5632b2, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x10b69729, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xa7aee4f3, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xe58d55fb, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xe374e7d2, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xef10bc40, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xa64de898, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x28253e9e, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x27953a0c, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xe78a2d8a, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x372f327b, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xc9020b2f, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xbb3af955, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xf728f131, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x6f99caaf, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x9fafff31, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x9d28a01d, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x03794b15, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xf784859a, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x3543ed21, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x05e147dd, "");
SYMBOL_CRC(drm_crtc_init, 0x7dccce76, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x3637b518, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x56f35885, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x85e7d943, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x3daf3bfa, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x854b1b4d, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x0069a7a2, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x5c184435, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x40a6fed1, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x0f2a19ea, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xa5f16bf7, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xaf7ad79d, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x53c14fe2, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xd7c5da81, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xa56915f7, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x4aa1d21e, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x7e4cdd51, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xa9b800be, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x8e2504ea, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xe355c86e, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x598bbfc7, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x2aaf044b, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xb5bd649a, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x8e93054f, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x17b1f90e, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x2f5ee30b, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xb64ea3f6, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x5e86b51c, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x30b0173e, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xdf693439, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x5e136944, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x143b1179, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x5ffe11d0, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xf13cc1a1, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x3b8db511, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xfd6200e3, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xf84e2b76, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xf574826c, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xf7ba10cd, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x7dea72e9, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x8ec7001c, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x6de26f71, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x92f6ccc3, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xd03c66d1, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x63286330, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x949f7456, "");
SYMBOL_CRC(drm_fb_helper_init, 0xe7a1bd88, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x147a7f33, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xf62a741e, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x39018c80, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x09b80f82, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x75e1560d, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x0f1fc028, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xa274da3c, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x65572b52, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x165a28d1, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x32261559, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x97ed1b06, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x6fce0014, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x720aaf93, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xc233397c, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x04c165bc, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x92dc5d35, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x6b38f384, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x783f1fc6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d17b012, "unregister_framebuffer" },
	{ 0x1bf867a, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x2abaaf56, "drm_framebuffer_cleanup" },
	{ 0xf5b3608e, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xddc1b1c4, "drm_panel_get_modes" },
	{ 0xf7952a57, "drm_gem_vmap_unlocked" },
	{ 0x349e6fae, "try_module_get" },
	{ 0x4fae7ee0, "drm_connector_list_update" },
	{ 0xaf286fed, "drm_bridge_add" },
	{ 0xfeb0bca5, "drm_bridge_chain_mode_valid" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0xaf011101, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x248e39b5, "drm_client_rotation" },
	{ 0x34ddd386, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe4808d79, "drm_framebuffer_init" },
	{ 0x1cc5154b, "drm_mode_validate_driver" },
	{ 0xfc1aa759, "drm_atomic_add_affected_planes" },
	{ 0x3721660f, "dma_buf_end_cpu_access" },
	{ 0x4cab4da9, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1524e22, "drm_mode_probed_add" },
	{ 0xe8901d02, "drm_atomic_add_affected_connectors" },
	{ 0x88d620c2, "drm_client_dev_resume" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0xa33c7f97, "drm_gem_vunmap_unlocked" },
	{ 0xd7e3e409, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xdb5ae9b4, "finish_wait" },
	{ 0x28c1a8ed, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x35db7263, "drm_atomic_bridge_chain_enable" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xc22d7406, "drm_mode_object_get" },
	{ 0x10b79424, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x4ea3ce1b, "drm_driver_legacy_fb_format" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0x475f5b2f, "drm_crtc_cleanup" },
	{ 0x335f7d85, "drm_connector_list_iter_begin" },
	{ 0x1bc509a0, "drm_mode_set_config_internal" },
	{ 0xbd36e4fe, "prepare_to_wait_event" },
	{ 0x920918b5, "framebuffer_alloc" },
	{ 0x984f4275, "drm_encoder_cleanup" },
	{ 0x99c21c51, "drm_modeset_acquire_init" },
	{ 0x8e3fed5a, "dma_fence_set_deadline" },
	{ 0x868b9a52, "drm_client_modeset_probe" },
	{ 0x1db5f159, "drm_warn_on_modeset_not_all_locked" },
	{ 0xca53e18d, "drm_client_dev_suspend" },
	{ 0xeb2ce4cb, "drm_plane_get_damage_clips" },
	{ 0xe4c00679, "devres_add" },
	{ 0x34c63baa, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x107aedf7, "drm_add_modes_noedid" },
	{ 0x5e1f444a, "drm_bridge_remove" },
	{ 0x5818e003, "drm_mode_object_put" },
	{ 0x9bb2b769, "dev_driver_string" },
	{ 0xefc88002, "drm_crtc_vblank_get" },
	{ 0xb26c4ebe, "drm_gem_object_lookup" },
	{ 0x23ab1057, "drm_crtc_send_vblank_event" },
	{ 0x863f5037, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4b0c307c, "drm_atomic_normalize_zpos" },
	{ 0xd8f82ed7, "drm_edid_connector_update" },
	{ 0xe5711362, "drm_sysfs_hotplug_event" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5fb11ae, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1ee707d, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xe7a8695a, "drm_connector_list_iter_end" },
	{ 0xb680d700, "drm_atomic_set_crtc_for_plane" },
	{ 0x9b27b118, "drm_client_modeset_dpms" },
	{ 0x71ee49, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf53a8768, "drm_client_dev_hotplug" },
	{ 0xb934a8c5, "_dev_info" },
	{ 0x61f72444, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x3a496aa3, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xce524892, "module_put" },
	{ 0x1fa3313b, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x4f9b00f8, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x568ced47, "drm_client_init" },
	{ 0x3385da98, "drm_crtc_wait_one_vblank" },
	{ 0xd2461860, "drm_crtc_next_vblank_start" },
	{ 0xdea30f68, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x95c3ed3d, "drm_driver_color_mode_format" },
	{ 0xc5c6c279, "drm_modeset_lock" },
	{ 0xabc7d5d8, "drm_client_modeset_commit_locked" },
	{ 0x358c6e5d, "drm_modeset_unlock" },
	{ 0xb7a96120, "drm_panel_disable" },
	{ 0x94a88e30, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe3ecd13e, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x710b9f3b, "devm_kfree" },
	{ 0xf4aca57c, "_dev_err" },
	{ 0x25bf61de, "drm_writeback_cleanup_job" },
	{ 0x885f5109, "drm_modeset_lock_all_ctx" },
	{ 0x98a550dd, "i2c_unregister_device" },
	{ 0xbd191119, "drm_atomic_set_fb_for_plane" },
	{ 0x1afe0ee5, "__drm_universal_plane_alloc" },
	{ 0x6e4f04f7, "drm_edid_connector_add_modes" },
	{ 0x502f0769, "drm_probe_ddc" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x8026089f, "__devres_alloc_node" },
	{ 0xd96fa302, "drm_edid_read" },
	{ 0x7d5467f4, "drm_crtc_commit_wait" },
	{ 0xb4ca8c50, "drm_dev_has_vblank" },
	{ 0x2134cb59, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x69150655, "__drm_atomic_helper_disable_plane" },
	{ 0xfda2b57b, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xdf467389, "drm_gem_handle_create" },
	{ 0x9a18760f, "drm_atomic_set_crtc_for_connector" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0xcdc2c2f1, "drm_analog_tv_mode" },
	{ 0x36b49d81, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x8c376bb4, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x50c2133a, "drm_crtc_vblank_put" },
	{ 0xb96cbaea, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x626b16b2, "__drm_dev_dbg" },
	{ 0xf9a90a34, "drm_plane_get_damage_clips_count" },
	{ 0x62201f26, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xba449d07, "drm_atomic_state_alloc" },
	{ 0xb726ae29, "drm_client_modeset_commit" },
	{ 0x55d48d51, "_dev_warn" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xfca85cdb, "drm_atomic_bridge_chain_post_disable" },
	{ 0xabf13610, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x163629ee, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xbed2e68, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xcf60b075, "drm_client_release" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x3d21d18d, "__drm_atomic_helper_set_config" },
	{ 0xe930976a, "mutex_trylock" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xc7506ae5, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x23bb7107, "drm_connector_cleanup" },
	{ 0xb56f409f, "drm_get_format_info" },
	{ 0x56c9ac47, "drm_universal_plane_init" },
	{ 0xc3499841, "drm_any_plane_has_format" },
	{ 0x801af9b1, "drm_connector_list_iter_next" },
	{ 0x10aad923, "drm_modeset_acquire_fini" },
	{ 0x4ab6f132, "drm_encoder_init" },
	{ 0x4cbd3d57, "drm_object_property_get_default_value" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82c36a62, "param_ops_bool" },
	{ 0x31cb827b, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x919530ad, "drm_modeset_backoff" },
	{ 0x797d5915, "drm_panel_prepare" },
	{ 0x9a3a40ec, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xe90d683, "drm_atomic_get_plane_state" },
	{ 0xa4387de0, "drm_atomic_bridge_chain_check" },
	{ 0x9b8da90a, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x73559d6f, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x6023d82e, "drm_property_blob_put" },
	{ 0x3c58757e, "drm_mode_destroy" },
	{ 0xfb18b60c, "drm_bridge_attach" },
	{ 0x43a0ee91, "drm_set_preferred_mode" },
	{ 0x7f762ee4, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x76acbf22, "drm_atomic_state_clear" },
	{ 0xf5c71e90, "drm_mode_config_reset" },
	{ 0x4d6216d2, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x4d3a7138, "drm_modeset_drop_locks" },
	{ 0xbf132de7, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xe4f093f0, "drm_atomic_bridge_chain_disable" },
	{ 0x44498c98, "drm_mode_create_from_cmdline_mode" },
	{ 0xb0a9f6d2, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xc46bf847, "param_ops_int" },
	{ 0xaebf6b4f, "drm_atomic_nonblocking_commit" },
	{ 0x3a3f0c51, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x80bd6c91, "drm_master_internal_release" },
	{ 0x7b5def65, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x79797079, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0xcc16848b, "drm_atomic_add_encoder_bridges" },
	{ 0xaa14c3c7, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92d09781, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "D18152F6B056A9C03572093");
MODULE_INFO(rhelversion, "9.7");
