#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x17ce1f45, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xb9c70389, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x282f1b23, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x3342eaac, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x0bde264f, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x8e8533dd, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x54dbe6c2, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xfeceb2d4, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0xd69c59cf, "_gpl");
SYMBOL_CRC(can_change_state, 0xe291419c, "_gpl");
SYMBOL_CRC(can_bus_off, 0x9a5e01dc, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xe36cf04b, "_gpl");
SYMBOL_CRC(free_candev, 0xac3a1946, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xec390508, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xe988bfa6, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x46cb9356, "");
SYMBOL_CRC(open_candev, 0x76b414f6, "_gpl");
SYMBOL_CRC(close_candev, 0xb570032f, "_gpl");
SYMBOL_CRC(register_candev, 0x83dff24b, "_gpl");
SYMBOL_CRC(unregister_candev, 0x8d4dcd80, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xf9c6fbc8, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x3ec7ff61, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4f55dac4, "skb_put" },
	{ 0xb08e3fb9, "gpiod_set_value" },
	{ 0x10fe5cbf, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x422fd4e3, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2004d586, "unregister_netdev" },
	{ 0xab0bf0cb, "rtnl_link_register" },
	{ 0xecc58b16, "netdev_warn" },
	{ 0x99c01111, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcb868e01, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc1d5fdac, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xa2694f81, "device_property_read_u32_array" },
	{ 0xe8027eac, "rtnl_link_unregister" },
	{ 0x29847816, "sk_skb_reason_drop" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x332681a8, "register_netdev" },
	{ 0x66d92804, "free_netdev" },
	{ 0xc26a65a6, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6bff4727, "netif_rx" },
	{ 0x4d9d1939, "__netdev_alloc_skb" },
	{ 0x96e666dd, "skb_trim" },
	{ 0x251a658e, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x47950a11, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x364bed13, "skb_clone" },
	{ 0x404ef8b3, "netif_carrier_on" },
	{ 0xfef08cfb, "dev_err_probe" },
	{ 0x7b14bcd8, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x42b44479, "skb_clone_tx_timestamp" },
	{ 0xce253dd2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A01C30400C623AD7A56E46");
MODULE_INFO(rhelversion, "9.7");
