#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x2da029fb, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xd0eed216, "_gpl");
SYMBOL_CRC(sas_free_task, 0xea9e7b13, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xce415231, "");
SYMBOL_CRC(sas_resume_ha, 0xfe040077, "");
SYMBOL_CRC(sas_suspend_ha, 0xff7972b6, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xa152e638, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x62390d77, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x5f5abbf7, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xd024e6a1, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x4dc9e0fa, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xba9fd2e3, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x536efbef, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xaaa1c963, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x10da9b0b, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x5d3b95dd, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xb3d20ec2, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x7feaee7b, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xd5c58a18, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x5ec97bad, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xfa295b01, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xdeeadb10, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xb55035e7, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xc3728797, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x1e837228, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x99174672, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xd4eb02ba, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x1b178835, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x294115e1, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x7954b5b1, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc85ae889, "ata_qc_complete" },
	{ 0x41d76903, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf617d89d, "sas_rphy_remove" },
	{ 0xc0605747, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xde4031b4, "ata_sas_port_destroy" },
	{ 0xcff24c34, "bsg_job_done" },
	{ 0xf537441, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3bbfadde, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x278b8dc4, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xdb5ae9b4, "finish_wait" },
	{ 0x7e52beca, "scsi_schedule_eh" },
	{ 0x60a819b5, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xc46f0773, "ata_host_init" },
	{ 0xaf13923a, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x720f604b, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x45d6e57b, "sas_port_get_phy" },
	{ 0x6bc13ae8, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xbd36e4fe, "prepare_to_wait_event" },
	{ 0x8ce4feb8, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x7e34a36a, "kmem_cache_create" },
	{ 0x39555575, "get_device" },
	{ 0x85c7277a, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x6ccb64f2, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x85ea9630, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7914653b, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x15407cc3, "kmem_cache_alloc" },
	{ 0xb934a8c5, "_dev_info" },
	{ 0xc95b5b34, "sas_phy_free" },
	{ 0xaeda13f1, "scsi_eh_finish_cmd" },
	{ 0x99945975, "ata_sas_port_alloc" },
	{ 0x88260b1d, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x89d44701, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x7a7d5c1e, "sas_port_mark_backlink" },
	{ 0x996ded7c, "kmem_cache_free" },
	{ 0xe72934c, "ata_std_qc_defer" },
	{ 0xd1456774, "ata_sas_port_start" },
	{ 0x8f515cee, "ata_scsi_port_error_handler" },
	{ 0xb276bcda, "ata_change_queue_depth" },
	{ 0xb02067fc, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xedf7cd48, "sas_end_device_alloc" },
	{ 0x3a3f0b1d, "mutex_lock_interruptible" },
	{ 0xb5db8d33, "sas_read_port_mode_page" },
	{ 0x152eb74, "sas_expander_alloc" },
	{ 0x3ee5c243, "ata_sas_port_stop" },
	{ 0x55d48d51, "_dev_warn" },
	{ 0x3b9555df, "sas_rphy_delete" },
	{ 0xd6baf3db, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf4063538, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x559ff730, "__init_waitqueue_head" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x30973666, "scsi_host_busy" },
	{ 0x46b9145f, "ata_sas_async_probe" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xb18f27e4, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xec60c63f, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9c5fe121, "ata_sas_port_suspend" },
	{ 0x21a6ac53, "sas_rphy_add" },
	{ 0x9443c9d6, "sas_port_delete_phy" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7d257914, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36f36e0b, "sas_port_add_phy" },
	{ 0xfc383be6, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xa56a4b06, "scsi_unblock_requests" },
	{ 0x390eee9c, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb4890ebe, "ata_host_put" },
	{ 0x8cc4a855, "sas_port_free" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x984b01db, "ata_std_sched_eh" },
	{ 0xe3f57c64, "scsi_block_requests" },
	{ 0xacaeb7e4, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x580d75dd, "sas_remove_children" },
	{ 0xcf4ddd20, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdd9b0be6, "ata_port_wait_eh" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x2bf3ecbb, "kmem_cache_destroy" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.7");
