#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb19a2e9, "usb_kill_urb" },
	{ 0x5e31c8ce, "usb_deregister" },
	{ 0x19a0d5e1, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xa10ca8e, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x55d48d51, "_dev_warn" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x78855a0c, "usb_anchor_urb" },
	{ 0xbec4c085, "usb_submit_urb" },
	{ 0x803eab42, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xefdaffe6, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x98f662d4, "usb_kill_anchored_urbs" },
	{ 0x9cc29700, "scsi_remove_host" },
	{ 0x3c4092cc, "scsi_host_put" },
	{ 0xcde2eefd, "usb_lock_device_for_reset" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x72580dd8, "scsi_host_alloc" },
	{ 0x559ff730, "__init_waitqueue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xb2b1b7cf, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1034b041, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb62ed04c, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x243abde0, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xff392759, "usb_set_interface" },
	{ 0x9aa856cb, "usb_reset_device" },
	{ 0x8316e1a, "usb_alloc_streams" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x7fab3afa, "scsi_report_bus_reset" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xa56a4b06, "scsi_unblock_requests" },
	{ 0x1d94d9bb, "_dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x664568b7, "usb_wait_anchor_empty_timeout" },
	{ 0xe3f57c64, "scsi_block_requests" },
	{ 0xd70272dc, "scmd_printk" },
	{ 0x38c5d34, "scsi_print_command" },
	{ 0x51afb527, "usb_free_urb" },
	{ 0x269aad96, "scsi_scan_host" },
	{ 0x2035dc83, "__dynamic_dev_dbg" },
	{ 0xf4aca57c, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf685a98c, "sdev_prefix_printk" },
	{ 0xcf4ddd20, "scsi_change_queue_depth" },
	{ 0xd6baf3db, "scsi_is_host_device" },
	{ 0xe821804a, "usb_get_urb" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "9CB54CC62355B7FD02CB170");
MODULE_INFO(rhelversion, "9.7");
