#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x8d28ca14, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x8d3bd9e9, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0xead09db4, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x50a568d1, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xb53f0889, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x31a1bcbd, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xcdcafa7b, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x2587a332, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x46a1614a, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x44b57ba0, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xd2517fc8, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x807f563c, "");
SYMBOL_CRC(vfio_unpin_pages, 0x52ed2c8c, "");
SYMBOL_CRC(vfio_dma_rw, 0x7718255d, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x3d6f3456, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x2ae4b994, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xca259d4b, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x45e8c282, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x05b2ec09, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xbda89e8b, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x39766286, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x856fea7a, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x00201cd3, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x5de0a164, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x39946dc6, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x9d282d4d, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0xccada4bd, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x44676786, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xbc85d882, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0x5774c5a4, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0xb601f581, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x26db43ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x12b8c26a, "iommufd_vfio_compat_ioas_get_id" },
	{ 0xe00ed8b4, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x349e6fae, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe25bbe04, "anon_inode_getfile" },
	{ 0xd0899e7a, "__init_rwsem" },
	{ 0xc5998f37, "alloc_anon_inode" },
	{ 0x17fc618e, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x16159786, "iommufd_access_detach" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2977752f, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x13792eaa, "cdev_device_del" },
	{ 0x1570e5c9, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x21c41336, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x2b77c5a9, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x2f21409, "device_initialize" },
	{ 0xa08242c1, "iommufd_device_attach" },
	{ 0xcba05568, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x823699c5, "iommufd_access_pin_pages" },
	{ 0x84fd967a, "iput" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0xa3cf27ae, "add_wait_queue" },
	{ 0xd6bc33db, "iommufd_ctx_from_fd" },
	{ 0xea09021a, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x2035dc83, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xac21560e, "iommufd_vfio_compat_set_no_iommu" },
	{ 0x8cfaf3b7, "iommufd_vfio_compat_ioas_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfa1fa31a, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x85ea9630, "put_device" },
	{ 0x89a9b604, "iommufd_ctx_from_file" },
	{ 0xb934a8c5, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0xce524892, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x9db8b97d, "fput" },
	{ 0x305201c9, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x4a72c051, "up_write" },
	{ 0x1dc3970d, "device_add" },
	{ 0x65f9b965, "xa_load" },
	{ 0xd964c279, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x89e521a5, "class_create" },
	{ 0xe32730e1, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x8c86081b, "ida_free" },
	{ 0x8d665127, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3eac352b, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x55d48d51, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x49c8d7f1, "iommufd_access_destroy" },
	{ 0x7e9a4abd, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xb56d84fa, "__xa_cmpxchg" },
	{ 0xa6706b72, "iommufd_device_to_id" },
	{ 0x7ddd9435, "init_pseudo" },
	{ 0x8a8ff2fe, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x84aa366f, "__pm_runtime_resume" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x82c36a62, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xfeb4cf84, "xa_destroy" },
	{ 0x5fa72f99, "iommufd_ctx_put" },
	{ 0x4bc95508, "iommufd_access_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x1d581c1d, "iommufd_device_detach" },
	{ 0x77825a55, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x98359d84, "simple_release_fs" },
	{ 0x66df9f6a, "kill_anon_super" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x5425a729, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1effe830, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x8c191bc2, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xeb772c2f, "up_read" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x1a532a6e, "__pm_runtime_idle" },
	{ 0xd676c28, "cdev_init" },
	{ 0x460d3973, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3728ec30, "eventfd_ctx_fileget" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0xc4001d41, "iommu_group_remove_device" },
	{ 0x235efeac, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.7");
