#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xb8acc058, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xa99c4bd0, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x95925a34, "_gpl");
SYMBOL_CRC(fat_scan, 0x06879aa3, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xd23d6d32, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xd96324b6, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xfe57572e, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x642dec95, "_gpl");
SYMBOL_CRC(fat_getattr, 0x4d5810d7, "_gpl");
SYMBOL_CRC(fat_setattr, 0x53a83130, "_gpl");
SYMBOL_CRC(fat_attach, 0x9890617f, "_gpl");
SYMBOL_CRC(fat_detach, 0x33ca5aa8, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xd7c6af2d, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xfed76bb9, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xc4562a77, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xf92d07d3, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x314d8f73, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xfb0dd5ab, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xc99c39aa, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x8722c251, "_gpl");
SYMBOL_CRC(fat_update_time, 0x3e6bed49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xecdaa50d, "filemap_fdatawrite" },
	{ 0x60e6d9a, "generic_fillattr" },
	{ 0x16acc958, "setattr_prepare" },
	{ 0x5b4c7cc2, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0899e7a, "__init_rwsem" },
	{ 0xaa74d816, "sync_blockdev_nowait" },
	{ 0x8bc4711a, "make_vfsgid" },
	{ 0x43ddc39a, "blk_start_plug" },
	{ 0xce93c7b, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xab69c92c, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xf3bb8a3a, "generic_file_splice_read" },
	{ 0x50c3db40, "new_inode" },
	{ 0x60d12de1, "mark_buffer_dirty" },
	{ 0x5835f838, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd29fbf86, "__find_get_block" },
	{ 0x84b95cef, "filemap_fdatawrite_range" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x62b216e6, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xff2582bc, "__blockdev_direct_IO" },
	{ 0xc7530de8, "d_make_root" },
	{ 0x5c99f697, "__bforget" },
	{ 0xdeb35528, "sb_set_blocksize" },
	{ 0x27de0f57, "block_truncate_page" },
	{ 0x9555e3a6, "write_dirty_buffer" },
	{ 0x81825750, "sync_filesystem" },
	{ 0x1d60e374, "fsnotify" },
	{ 0x4a8e89df, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa5f37f0, "from_vfsuid" },
	{ 0x8bc1d536, "inode_dio_wait" },
	{ 0x4c242b1, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x36f8fb1, "cont_write_begin" },
	{ 0x84fd967a, "iput" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0xde6864de, "iter_file_splice_write" },
	{ 0x8c29d051, "generic_file_write_iter" },
	{ 0x7e34a36a, "kmem_cache_create" },
	{ 0xe9e8112, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8afcf0d0, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x9f5e71c6, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x81783881, "block_invalidate_folio" },
	{ 0x73dbdc6c, "__breadahead" },
	{ 0xcb771d7e, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3ec70e6e, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f43371c, "load_nls" },
	{ 0xeaef3278, "generic_cont_expand_simple" },
	{ 0x78ef67f4, "make_kuid" },
	{ 0x7901f18b, "truncate_inode_pages_final" },
	{ 0xa054a53a, "block_write_full_page" },
	{ 0x634369e7, "generic_file_mmap" },
	{ 0x95639342, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xbf7653b3, "ilookup" },
	{ 0x15407cc3, "kmem_cache_alloc" },
	{ 0xc9f95ec8, "invalidate_inode_buffers" },
	{ 0xeb1cf85c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3c32f37b, "mnt_drop_write_file" },
	{ 0xf178f1fa, "inode_init_once" },
	{ 0x73e427b6, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x7fc027b5, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x305201c9, "down_write" },
	{ 0x4a72c051, "up_write" },
	{ 0xf807eced, "generic_file_read_iter" },
	{ 0xe00ab429, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x2925eb84, "truncate_pagecache" },
	{ 0x7094819, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6351a112, "setattr_copy" },
	{ 0x2e6560ec, "__wait_on_buffer" },
	{ 0x8738837b, "set_nlink" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x996ded7c, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x34deef97, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x1acb9205, "from_vfsgid" },
	{ 0xd3b8edad, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa24aa9b3, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa431f75e, "__bread_gfp" },
	{ 0xd5107d02, "block_dirty_folio" },
	{ 0x18cd327e, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x764923b0, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8e8e0f6a, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x9beb09b7, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xdd60c15, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x534f6656, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2a39876b, "igrab" },
	{ 0x938de181, "__getblk_gfp" },
	{ 0xbd4e5db6, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xc1619429, "mpage_readahead" },
	{ 0xbeefe9d3, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x26aecb40, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x76d07a1c, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xabdee6c3, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x7dade4e0, "blkdev_issue_flush" },
	{ 0x9ba9e66f, "seq_puts" },
	{ 0xb0fb115, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xfcc865b8, "from_kuid_munged" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x36fdf179, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x59beb744, "kmem_cache_alloc_lru" },
	{ 0x64fe8e95, "__mark_inode_dirty" },
	{ 0x796c69de, "generic_file_llseek" },
	{ 0x7376fff8, "unload_nls" },
	{ 0xeb772c2f, "up_read" },
	{ 0x8bdd0171, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x5a3a6f1f, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2bf3ecbb, "kmem_cache_destroy" },
	{ 0x46839c82, "blkdev_issue_discard" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
