#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0xee6e3bff, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x095ebcbd, "");
SYMBOL_CRC(fscache_acquire_cache, 0x1b85ecb2, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xae804e6c, "");
SYMBOL_CRC(fscache_add_cache, 0x74144900, "");
SYMBOL_CRC(fscache_io_error, 0xb4470eb8, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x35662782, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x97ae8a9b, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x49781c69, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xd3948f2e, "");
SYMBOL_CRC(fscache_caching_failed, 0xad5ff3e8, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xcef18aa2, "");
SYMBOL_CRC(__fscache_use_cookie, 0xf0fca340, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xd3defcc7, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x0e8c1337, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x2e1f140d, "");
SYMBOL_CRC(fscache_put_cookie, 0x243c88d6, "");
SYMBOL_CRC(fscache_get_cookie, 0x8813346a, "");
SYMBOL_CRC(__fscache_invalidate, 0x19ce661f, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x92844b19, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x968d5ea0, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xed6e7566, "");
SYMBOL_CRC(fscache_dirty_folio, 0x78258743, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x12a71a35, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xd9303e79, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x79628059, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x6b2f0d2d, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x3c2ba0f7, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x000a9c4f, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x665ba328, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0xd5e75626, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x6e53bd33, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xbf80b7bb, "");
SYMBOL_CRC(fscache_end_volume_access, 0x2ff1873c, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x36cf06d5, "");
SYMBOL_CRC(fscache_put_volume, 0xa36a721e, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xa346d429, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x1cab56f5, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xda2d16a8, "bpf_trace_run4" },
	{ 0xf6b18c42, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x23f47580, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xdb5ae9b4, "finish_wait" },
	{ 0xf97b4142, "trace_event_printf" },
	{ 0xaa819726, "xas_find" },
	{ 0x52c18954, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0xeb7d252a, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1f167487, "bpf_trace_run2" },
	{ 0xbd36e4fe, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xcd59cc94, "remove_proc_subtree" },
	{ 0x805392c4, "event_triggers_call" },
	{ 0x7e34a36a, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1f55b11, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x52982aea, "trace_event_ignore_this_pid" },
	{ 0x873ef30c, "rt_write_unlock" },
	{ 0x15407cc3, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc1577f4e, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f6410, "perf_trace_run_bpf_submit" },
	{ 0x305201c9, "down_write" },
	{ 0x4a72c051, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98763083, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x996ded7c, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xedeb4a8c, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xf7dc06c6, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xf1a39943, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5168ad5a, "folio_end_private_2" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x433246cc, "bpf_trace_run3" },
	{ 0x4775670e, "rt_read_lock" },
	{ 0xb80c97e4, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc5bd6ebc, "rt_read_unlock" },
	{ 0x54de0ffe, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d07a1c, "seq_printf" },
	{ 0x2c27a1a0, "rt_write_lock" },
	{ 0x27dbd9ec, "filemap_dirty_folio" },
	{ 0x9ba9e66f, "seq_puts" },
	{ 0xe1088a8e, "iov_iter_xarray" },
	{ 0x6ed7f021, "proc_create_single_data" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8218ade4, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb772c2f, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x2bf3ecbb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "F1A7D48A931551A9DD3AC79");
MODULE_INFO(rhelversion, "9.7");
