#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x82d4feb0, "");
SYMBOL_CRC(bt_sock_register, 0xd0ae45ae, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x6a54e28f, "");
SYMBOL_CRC(bt_sock_link, 0x18356e3f, "");
SYMBOL_CRC(bt_sock_unlink, 0x7c6343dd, "");
SYMBOL_CRC(bt_sock_linked, 0xc190530c, "");
SYMBOL_CRC(bt_accept_enqueue, 0xaf83ce96, "");
SYMBOL_CRC(bt_accept_unlink, 0x8a6f2089, "");
SYMBOL_CRC(bt_accept_dequeue, 0xe4b59972, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x0117fa39, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xbad1ed0c, "");
SYMBOL_CRC(bt_sock_poll, 0xd9e30999, "");
SYMBOL_CRC(bt_sock_ioctl, 0x4b02ee45, "");
SYMBOL_CRC(bt_sock_wait_state, 0xe22d9a05, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x8de781b6, "");
SYMBOL_CRC(bt_procfs_init, 0x5dd30a58, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x9158b194, "");
SYMBOL_CRC(bt_debugfs, 0x443fd68f, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x5673b5d5, "");
SYMBOL_CRC(hci_free_dev, 0xdcbc0d67, "");
SYMBOL_CRC(hci_register_dev, 0x27ca688e, "");
SYMBOL_CRC(hci_unregister_dev, 0x23a72b1e, "");
SYMBOL_CRC(hci_release_dev, 0x963f79ff, "");
SYMBOL_CRC(hci_suspend_dev, 0x67e404e5, "");
SYMBOL_CRC(hci_resume_dev, 0x305d6d11, "");
SYMBOL_CRC(hci_reset_dev, 0x0545604e, "");
SYMBOL_CRC(hci_recv_frame, 0xb9c9a975, "");
SYMBOL_CRC(hci_recv_diag, 0xc63b900a, "");
SYMBOL_CRC(hci_set_hw_info, 0xea3db95a, "");
SYMBOL_CRC(hci_set_fw_info, 0xebbe7daa, "");
SYMBOL_CRC(hci_register_cb, 0xa6a61521, "");
SYMBOL_CRC(hci_unregister_cb, 0x7cba101f, "");
SYMBOL_CRC(__hci_cmd_send, 0xaf2b4ef9, "");
SYMBOL_CRC(hci_get_route, 0xab1ae9e4, "");
SYMBOL_CRC(hci_conn_security, 0xc82b9759, "");
SYMBOL_CRC(hci_conn_check_secure, 0x8acd87de, "");
SYMBOL_CRC(hci_conn_switch_role, 0x0a10c916, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xe474b953, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x6db7a9c0, "");
SYMBOL_CRC(l2cap_add_psm, 0xd5cf5045, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x2ff6123f, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xf9854f46, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x9489d5c1, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xbd6eaecc, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xa7477384, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x96d601f3, "");
SYMBOL_CRC(l2cap_register_user, 0x07efbd1d, "");
SYMBOL_CRC(l2cap_unregister_user, 0x86204ab3, "");
SYMBOL_CRC(l2cap_conn_get, 0x18b010c5, "");
SYMBOL_CRC(l2cap_conn_put, 0xfb71d283, "");
SYMBOL_CRC(l2cap_chan_send, 0xbaf56308, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xfb13b587, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x3452f250, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xc3af92e8, "");
SYMBOL_CRC(__hci_cmd_sync, 0x2211d573, "");
SYMBOL_CRC(hci_cmd_sync, 0xcf8c2e88, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xad3548a1, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x9f67317c, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xdd90ef75, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x8f63a81c, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x8aa4ed13, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xb8ca6a2c, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xdd650528, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x78169c06, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x02f687af, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x84711037, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0xcca96c0e, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xb2642715, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x54bba104, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x3126f4e8, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x03bb7843, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x6ab6dfba, "");
SYMBOL_CRC(hci_devcd_init, 0xf2e43049, "");
SYMBOL_CRC(hci_devcd_append, 0xd9e2eb9b, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xc56ee289, "");
SYMBOL_CRC(hci_devcd_complete, 0xce8370da, "");
SYMBOL_CRC(hci_devcd_abort, 0xb50d3bcd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xa02b0738, "skb_free_datagram" },
	{ 0x62f883ab, "sock_queue_rcv_skb_reason" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x349e6fae, "try_module_get" },
	{ 0x94b1d3d4, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x978abf76, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x84ab426, "idr_find" },
	{ 0xa3e5b398, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x4f55dac4, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x2977752f, "dev_set_name" },
	{ 0x41c540a1, "scm_detach_fds" },
	{ 0x7d7d62cd, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x88e78ec0, "device_unregister" },
	{ 0xf7ec6a05, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xb3ebdbec, "debugfs_create_u16" },
	{ 0xdb5ae9b4, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x252fe7f2, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x931f5c3, "add_wait_queue_exclusive" },
	{ 0x2f21409, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc1a6444e, "pcpu_hot" },
	{ 0xb91cfbb1, "seq_lseek" },
	{ 0xa3cf27ae, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x603a3f95, "sock_no_connect" },
	{ 0xbd36e4fe, "prepare_to_wait_event" },
	{ 0x5bcf8c70, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x8ce4feb8, "__wake_up" },
	{ 0xe43db200, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x39555575, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x4e488eb8, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf20c5da1, "__put_cred" },
	{ 0xa267ba2d, "put_cmsg" },
	{ 0x41eea350, "skb_queue_purge_reason" },
	{ 0x358c198b, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xdaed9c70, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x1c369d08, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9404bd03, "sock_register" },
	{ 0x621178d0, "datagram_poll" },
	{ 0x3ec70e6e, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x85ea9630, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa0008fb1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7162ce03, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x873ef30c, "rt_write_unlock" },
	{ 0xb34a38a9, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x15adfe5f, "skb_queue_tail" },
	{ 0xce524892, "module_put" },
	{ 0xc057b164, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1ef9b4e4, "idr_remove" },
	{ 0x80895ab3, "debugfs_attr_read" },
	{ 0x718821cc, "__sock_recv_timestamp" },
	{ 0x2cf15908, "sock_no_shutdown" },
	{ 0xf2128baa, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfa568363, "crypto_req_done" },
	{ 0x8aeea937, "init_net" },
	{ 0x8d7e12b7, "crypto_shash_setkey" },
	{ 0xeff75a04, "simple_open" },
	{ 0x67048f22, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1dc3970d, "device_add" },
	{ 0xec2a2667, "idr_alloc" },
	{ 0x1341c2a6, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x426ba75d, "init_uts_ns" },
	{ 0x29847816, "sk_skb_reason_drop" },
	{ 0x94f0258e, "sk_free" },
	{ 0x52bea34e, "device_move" },
	{ 0x3a3f8542, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xdf0e9a22, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x696946e0, "sock_no_listen" },
	{ 0x5d587a4c, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xc3a70620, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9d297b46, "iov_iter_kvec" },
	{ 0x8c86081b, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x502c329f, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x44d60167, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x387b68ec, "dev_coredumpv" },
	{ 0xe0212024, "skb_copy_datagram_iter" },
	{ 0x433f1d56, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xcbae74cb, "sk_alloc" },
	{ 0x3eac352b, "device_del" },
	{ 0xe3746f7f, "__sock_queue_rcv_skb" },
	{ 0xb5e68870, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x8bb034ef, "default_llseek" },
	{ 0xb96e9975, "__sock_recv_wifi_status" },
	{ 0xcbe1374d, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x99bc67a1, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7c82cc0a, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xeb707280, "sock_no_mmap" },
	{ 0x559ff730, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x2f08e4e0, "__pskb_pull_tail" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x488ab952, "__scm_destroy" },
	{ 0x9beb09b7, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x96e666dd, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xf7755705, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe4acf4b, "seq_read" },
	{ 0x4775670e, "rt_read_lock" },
	{ 0x208cabfb, "sock_i_ino" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd0393575, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82c36a62, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xfb9417d, "skb_recv_datagram" },
	{ 0xe0a8c5a5, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc5bd6ebc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x54de0ffe, "remove_proc_entry" },
	{ 0xb83c3a25, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76d07a1c, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9ae8449c, "skb_copy" },
	{ 0x364bed13, "skb_clone" },
	{ 0x2c27a1a0, "rt_write_lock" },
	{ 0x9d267e82, "_copy_from_iter" },
	{ 0xb4d03014, "debugfs_create_file_full" },
	{ 0xf645035e, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc5326fc6, "remove_wait_queue" },
	{ 0x9ba9e66f, "seq_puts" },
	{ 0x1b3fc5e6, "sock_gettstamp" },
	{ 0x1b376c75, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x577d2964, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0xfcc865b8, "from_kuid_munged" },
	{ 0x718b4d83, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xfacf7082, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8218ade4, "proc_create_seq_private" },
	{ 0x3b9c013d, "debugfs_create_u8" },
	{ 0x1a712e40, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xfe99ae05, "crypto_alloc_shash" },
	{ 0x3a3f0c51, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xca352103, "fwnode_property_read_u8_array" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xcc4aebb2, "put_pid" },
	{ 0xc9f53763, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5c93ae50, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x114b2c20, "__dev_fwnode" },
	{ 0x6a1a3595, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5dafb5d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3df1895d, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "2DDC16C17B5CFBF4F860FF1");
MODULE_INFO(rhelversion, "9.7");
