#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xdb17e99d, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x7c48f29f, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x331323c9, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xf65935ca, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x4f84bf33, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x9f9f5e40, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x9ec0aded, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xea4a62f1, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0xbd8011d1, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x938362dd, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xf42af666, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xf6b24b67, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x2cad0ed5, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x7e228bee, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xff48f4df, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x45a32663, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x60ebcc9f, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xa4f16217, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x1b27e6bf, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xd82a9c85, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xa1100a34, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xd81f4350, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xe189f5d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x496330a2, "iptun_encaps" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc1d5fdac, "alloc_netdev_mqs" },
	{ 0x2c37e69e, "register_netdevice" },
	{ 0x66d92804, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf683d07e, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96f44c26, "ip_route_output_flow" },
	{ 0xe23fb34a, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ad20a6d, "__dev_get_by_index" },
	{ 0x1424ec56, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xfc65d53f, "gro_cells_init" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8abc0c74, "netdev_state_change" },
	{ 0x7097c459, "ns_capable" },
	{ 0x692e01e3, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8aeea937, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa2ed2961, "skb_copy_bits" },
	{ 0x498394b6, "ipv4_mtu" },
	{ 0xe4452888, "icmpv6_ndo_send" },
	{ 0x9769081, "icmp_ndo_send" },
	{ 0xef0c664c, "pskb_expand_head" },
	{ 0x29847816, "sk_skb_reason_drop" },
	{ 0x8e993f90, "__skb_get_hash_net" },
	{ 0xe7eedffb, "dst_cache_get_ip4" },
	{ 0x2f35ee8e, "dst_cache_set_ip4" },
	{ 0x422cfe3f, "iptunnel_xmit" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe9844ad9, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2f08e4e0, "__pskb_pull_tail" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd2b04328, "skb_scrub_packet" },
	{ 0x52ecefc0, "gro_cells_receive" },
	{ 0x78e4fc9d, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x92997ed8, "_printk" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "326F43D888F9C76694BF863");
MODULE_INFO(rhelversion, "9.7");
