#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x9d585dc8, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xc9e5853b, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x72c6f886, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0xcabd48fd, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xe3c4e1ed, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x5de5501f, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0xc7e52c5e, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xed429946, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x275618ca, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x145c1f26, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x41771a5e, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x56208181, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x4f16e09c, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x9334ca47, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x8ec7441c, "device_property_present" },
	{ 0x500b7ad1, "regcache_cache_only" },
	{ 0x45b3274, "regcache_sync" },
	{ 0x8d1478f7, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x67ad109a, "snd_soc_jack_report" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x81112803, "gpiod_set_value_cansleep" },
	{ 0xd2f029fe, "snd_pcm_hw_constraint_minmax" },
	{ 0x67c0e8b3, "regcache_sync_region" },
	{ 0xa2026700, "snd_soc_put_enum_double" },
	{ 0xd9cf14a2, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x99c01111, "devm_gpiod_get_optional" },
	{ 0x2035dc83, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76b02a23, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2694f81, "device_property_read_u32_array" },
	{ 0xa7131be2, "snd_soc_get_enum_double" },
	{ 0xb934a8c5, "_dev_info" },
	{ 0xbd70b7f4, "snd_soc_info_volsw" },
	{ 0x864cec2b, "regcache_drop_region" },
	{ 0xf4aca57c, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x55d48d51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x12219bed, "snd_soc_info_enum_double" },
	{ 0xd49edb7a, "snd_soc_get_volsw" },
	{ 0x4afa5f53, "regmap_read" },
	{ 0x543581bd, "snd_soc_put_volsw" },
	{ 0xd75168d7, "snd_soc_component_update_bits" },
	{ 0x84aa366f, "__pm_runtime_resume" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf85210e5, "regmap_bulk_read" },
	{ 0xa51a0997, "regmap_update_bits_base" },
	{ 0xfef08cfb, "dev_err_probe" },
	{ 0x86448f2a, "regmap_multi_reg_write" },
	{ 0x3ca897dc, "__pm_runtime_suspend" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x81279e2e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "A8A8645F5189C013E8BA54B");
MODULE_INFO(rhelversion, "9.7");
